Subject: New Utah Publication
From: <[email-masked]>
Date: Tue, 7 Mar 1995 22:36:27 -0500

This may be a duplicate, I sent this earlier today but it was returned.

Here is the email address, snail mail address and the phone number for Utah's
new publication The Labrys (starts publishing April 1st and takes the place
of the Womyn's Community News).   Please update all of your mailing lists:
Remove: Womyn's Community News (or Newsletter)
             P.O. Box 65102
             SLC UT 84165
Add:  The Labrys
          2120 South 700 East Suite H233
          SLC UT 84106
                   phone: (801) 486-6473
                   email: [email-masked]

I will still be on line and receiving mail, but I am no longer the editor of
the WCN, so you should send press releases and such to Dina and Whitney
Hannah at the Labrys.    Thanks.  Kathy W. SLC